glib-sharp 0.0.0.0 neutral The GLib Runtime type identification and management system. The GType API is the foundation of the GObject system. It provides the facilities for registering and managing all fundamental data types, user-defined object and interface types. `using System; using Gtk; public class MagrittesWindow : Window { static GLib.GType gtype; Button button; public static new GLib.GType GType { get { if (gtype == GLib.GType.Invalid) gtype = RegisterGType (typeof (MagrittesWindow)); return gtype; } } public MagrittesWindow() : base (GType) { button = new Button("This is not a button"); button.Clicked += new EventHandler(button_Clicked); this.Title = "This is not a Window"; this.SetDefaultSize (400, 300); this.DeleteEvent += new DeleteEventHandler (MagrittesWindow_Delete); this.Add(button); this.ShowAll (); } /* elided for brevity */` System.ValueType
- Field
  GLib.GType A field of type GType.Invalid `public class MyWindow : Window { static GLib.GType gtype; Button button; public static new GLib.GType GType { get { if (gtype == GLib.GType.Invalid) gtype = RegisterGType (typeof (MyWindow)); return gtype; } } /* Rest elided for clarity */`
- Field
  GLib.GType A field of type GType.None Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.String Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Boolean. Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Int Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Double Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Float Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Char Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.UInt Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Object Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Pointer Sample see: GLib.GType.Invalid.
- Field
  GLib.GType A field of type GType.Boxed Sample see: GLib.GType.Invalid.
- Method
  System.Boolean ``

  Determines whether the current instance and a specified represent the same value.

  a a
- Method
  System.Int32 Generates a hash code for the current instance. a
- Method
  System.String Manufactures a human-readable text string that describes an instance of the class. a
- Constructor
  Constructor for GType. Primarily used in generated wrappers for gtk objects.
  a
  a
  Generated code from gnome/generated/About.cs:

  [DllImport("gnomeui-2")] static extern IntPtr gnome_about_get_type();

  public static new GLib.GType GType { get { IntPtr raw_ret = gnome_about_get_type(); GLib.GType ret = new GLib.GType(raw_ret); return ret; } }

- Property
  System.IntPtr Read only property retrieves the representing the GType object in question. a